
Auto Multiple Choice - Bug # 586: Babel + option french : bug avec : pour les groupes dans les 
identifiants des questions

Status: WontFix Priority: Normal
Author: Frédéric Bréal Category: LaTeX
Created: 09/15/2018 Assignee:
Updated: 12/29/2018 Due date:
Description: Écrire les identifiants de questions sous la forme :

<pre>
Competence:Ohm
</pre>
bloque la compilation mais pas
<pre>
Competence.Ohm
</pre>
lorsque l'option french de babel est détectée.

Les deux préambules suivants empêchent la compilation avec les deux-points :
<pre>
\documentclass[a4paper]{article}
\usepackage[utf8x]{inputenc}
\usepackage[T1]{fontenc}
\usepackage[francais,bloc,completemulti]{automultiplechoice}
\usepackage[french]{babel}

\documentclass[a4paper,french]{article}
\usepackage[utf8x]{inputenc}
\usepackage[T1]{fontenc}
\usepackage[francais,bloc,completemulti]{automultiplechoice}
\usepackage{babel}
</pre>

Version test à jour 1.4.0~rc1+git2018-08-01d et xubuntu 18.04 à jour 

Ça bloque également avec une version de texlive 2018 à jour installée dans mon home.

History
09/21/2018 12:27 pm - Alexis Bienvenüe
- Status changed from New to Feedback

Les identifiants de questions ne doivent pas contenir de caractères actifs (comme @_@, @{@, etc.), et @\usepackage[french]{babel}@ rend le 
caractère @:@ actif…
De plus, je ne vois pas de manière simple de désactiver @:@ localement pour les paquets LaTeX qui le rendent actif. Je ne vois donc pas d'autre 
solution pour l'instant que d'éviter l'utilisation de @:@ dans les identifiants de questions.

09/21/2018 06:13 pm - Frédéric Bréal
> \usepackage[french]{babel} rend le caractère : actif…
Je m'en suis rendu compte, il y avait le même problème pour le mode @ensemble@ et le fichier csv contenant @;@ pour la séparation.
J'ai essayé @\shorthandon@ mais pas de résultat.

Je vais mettre à jour la documentation française.
09/26/2018 04:30 pm - Frédéric Bréal
Bonjour,

Si la question se trouve directement entre @\onecopy{1}{@ et @}@ cela compile.
Si le groupe n'est pas appelé, cela compile aussi.

La compilation échoue lorsque il y a *groupe:identifiant* dans un groupe et qu'on fait appel au groupe.

12/29/2018 09:19 pm - Alexis Bienvenüe
- Status changed from Feedback to WontFix

Files
groupes.tex 2.1 kB 09/15/2018 Frédéric Bréal
AMC-DEBUG-wHIPF455.log 56.8 kB 09/15/2018 Frédéric Bréal
